DeluxHostAPI Reference
Orders & renewals

List billing cycle options

GET
/v1/orders/{id}/cycle-options

Authorization

apiToken orders:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: orders:read

Path Parameters

id*number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
enabled*boolean
current*
nextDueAt*string
Formatdate-time
daysRemaining*number
pending*null|
pendingInvoiceId*null|number
blocked*null|string|string|string|string|string
options*array<>
curl -X GET 'https://api.deluxhost.net/v1/orders/0/cycle-options' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "enabled": true,  "current": {    "cycle": "string",    "priceCents": 0,    "monthlyEquivalentCents": 0  },  "nextDueAt": "2019-08-24T14:15:22Z",  "daysRemaining": 0,  "pending": null,  "pendingInvoiceId": null,  "blocked": null,  "options": [    {      "cycle": "string",      "priceCents": 0,      "monthlyEquivalentCents": 0,      "direction": "longer",      "effective": "now",      "creditCents": 0,      "chargeCents": 0,      "diffCents": 0,      "savingsPercent": 0    }  ]}